Subject: bug#13598: 24.3.50;

From: Blazej Adamczyk <[email-masked]>
Date: Wed, 26 Feb 2014 10:32:45 +0100

Hello, 
I had to reopen the bug because I faced the same problem as OP. His didn't make himself clear:

By example:
When parsing response we may get in state when we will receive only the following:

"HTTP/1.0 200 OK^M
"

without double quotes (I added them to show the newline character).

In case of current implementation the regexp "^\r?$" and the previous regexp "^\r*$" both are matching the end of string. That is wrong because there will be something in the new line after a while. 

RFC 2616 states clear:
        generic-message = start-line
                          *(message-header CRLF)
                          CRLF
                          [ message-body ]
        start-line      = Request-Line | Status-Line

there has to be one (exactly one) CR in a single line between headers and body. Thus I propose a simple regexp "^\r$".

--
Blazej